//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop

#include "spanrpt.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TfrmSpanRpt *frmSpanRpt;
//---------------------------------------------------------------------------
__fastcall TfrmSpanRpt::TfrmSpanRpt(TComponent* Owner)
    : TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TfrmSpanRpt::QuickRep1BeforePrint(TCustomQuickRep *Sender,
      bool &PrintReport)
{
  // First, size the detail band out of the way
  DetailBand1->Height = 0;

  // Then reset the page headers by using the tag property.
  PageHeaderLeft->Tag = 0;

  // The reset the new page number
  MyPageNumber = 0;

  // reset the band colors
  QRSubDetail1->Color = clWhite;
  QRSubDetail2->Color = clWhite;
}
//---------------------------------------------------------------------------
void __fastcall TfrmSpanRpt::PageHeaderBeforePrint(TQRCustomBand *Sender,
      bool &PrintBand)
{
  if (PageHeaderLeft->Tag == 0) {
    WhichSideQRL->Caption = "Left side";
  }
  else {
    WhichSideQRL->Caption = "Right side";
  }

  MyPageNumber++;

  PageNumQrl->Caption = Format("Page %d", ARRAYOFCONST((MyPageNumber)));
}
//---------------------------------------------------------------------------
void __fastcall TfrmSpanRpt::PageHeaderLeftBeforePrint(
      TQRCustomBand *Sender, bool &PrintBand)
{
  PrintBand = (PageHeaderLeft->Tag == 0);
}
//---------------------------------------------------------------------------
void __fastcall TfrmSpanRpt::PageHeaderRightBeforePrint(
      TQRCustomBand *Sender, bool &PrintBand)
{
  PrintBand = (PageHeaderLeft->Tag == 1);
}
//---------------------------------------------------------------------------
void __fastcall TfrmSpanRpt::QRSubDetail1BeforePrint(TQRCustomBand *Sender,
      bool &PrintBand)
{
  // if the user wanted to print with alternating colors, here is one method
  // of doing so
  if (ChangeColor) {
    if (Sender->Color == clWhite) {
      Sender->Color = clLime;
    }
    else {
      Sender->Color = clWhite;
    }
  }
}
//---------------------------------------------------------------------------
void __fastcall TfrmSpanRpt::QRBand2BeforePrint(TQRCustomBand *Sender,
      bool &PrintBand)
{
  // we use this band to change the page headers, but we don't need to print
  // it.  We also use it to reset the page number
  PrintBand = false;
  PageHeaderLeft->Tag = 1;
  MyPageNumber = 0;
}
//---------------------------------------------------------------------------
void __fastcall TfrmSpanRpt::QRBand1BeforePrint(TQRCustomBand *Sender,
      bool &PrintBand)
{
  // we use this band to force a new page, but we don't to print it.
  QuickRep1->NewPage();
  PrintBand = false;
}
//---------------------------------------------------------------------------
